using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int k1 = n - k;
            List<int> a = new List<int>();
            List<int> a1 = new List<int>();
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                a.Add(int.Parse(s[i]));
                a1.Add(int.Parse(s[n - 1 - i]));
            }


            for (int i = 0; i < k1; i++)
            {
                if (a.Min() == a.First())
                {
                    int p = a.Min();
                    for (int l = i; l <= k1; l++)
                        a.Remove(a.Min());
                    a.Add(p);
                    break;
                }
                else if (Math.Abs(a[0] - a[1]) < a.Min() && a.IndexOf(a.Min())!= 1)
                {
                    a.Remove(a.Min());
                }
                else
                    a.Remove(a.First());
            }

            for (int i = 0; i < k1; i++)
            {
                if (a1.Min() == a1.First())
                {
                    int p = a1.Min();
                    for (int l = i; l <= k1; l++)
                        a1.Remove(a1.Min());
                    a1.Add(p);
                    break;
                }
                else
                    if (Math.Abs(a1[0] - a1[1]) < a1.Min() && a1.IndexOf(a1.Min()) != 1)
                    {
                        a1.Remove(a1.Min());
                    }
                    else
                        a1.Remove(a1.First());
            }
            
            int sum1 = 0;
            int sum2 = 0;
            for (int i = 0; i < a.Count(); i++)
            {
                sum1 += a[i];
                sum2 += a1[i];
            }
            Console.WriteLine(Math.Max(sum1 - 2 * a.Min(), sum2 - 2 * a1.Min()));
        }
    }
}